Get the employee auth logs for an organization Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/audit-logs/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Audit Logs MCP server": {
    "url": "https://developer.adra.com/doc/audit-logs/mcp"
  }
}

Close
GET /api/v1.0/organizations/{organizationGuid}/auth-logs

The auth logs are served in batches of less than 100 records at the time and a continuation token.

Path parameters

  • organizationGuid string(uuid) Required

Query parameters

  • continuationToken string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • continuationToken null | string Required
    • responseData null | array[object] Required
      Hide responseData attributes Show responseData attributes object
      • id string Required
      • unknownSub null | string Required
      • ipAddress null | string Required
      • organizationId string Required
      • operatorId string Required
      • authEvent string Required
      • authAction string Required
      • logLevel null | string Required
      • attributes null | object Required
      • message object | null Required

        Additional properties are NOT allowed.

        Hide message attributes Show message attributes object | null
        • logMessage string Required
        • logMessageKey null | string Required
        • logMessageParams null | string Required
      • timestamp string(date-time) Required
    • hasMoreChanges boolean Required
  • 400 application/problem+json

    Bad Request

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
  • 401 application/problem+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
  • 403 application/problem+json

    Forbidden

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
  • 404 application/problem+json

    Not Found

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
  • default application/problem+json

    Error

    Hide response attributes Show response attributes object
    • type string
    • title string
    • status integer(int32)
    • detail string
    • instance string
GET /api/v1.0/organizations/{organizationGuid}/auth-logs
curl \
 --request GET 'https://setup.adra.com/api/v1.0/organizations/{organizationGuid}/auth-logs' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "continuationToken": "W3sidG9rZW4iOiIrUklEOn56Njk5QUtzeTZMTkJuUkFBQUFBQUFBPT0jUlQ6MSNUUkM6MTAwI1JURDpIUEpKbUtUMXVacWxCQm5HeU5TT0JNSFoxWTExOUE9PSNJU1Y6MiNJRU86NjU1NjcjUUNGOjgiLCJyYW5nZSI6eyJtaW4iOiIiLCJtYXgiOiJGRiJ9fV0",
  "responseData": [
    {
      "id": "2954e17e-bfbb-4150-86b3-beb659957968",
      "unknownSub": null,
      "ipAddress": "175.157.136.231",
      "organizationId": "15f1e221-37c4-4095-a0de-88583cb5e7aa",
      "operatorId": "f039261c-bf9f-4dfc-829c-dde8601a12ed",
      "authEvent": "Authentication",
      "authAction": "LoginSuccess",
      "logLevel": "Info",
      "attributes": {
        "sub": "HCY58J-__E2CnN3oYBoS7Q",
        "clientId": "setup_app",
        "username": "myuser@gmail.com",
        "requireConsent": false,
        "consentShown": false,
        "scopes": "openid,profile,setup_api.full_access,login_api.personal_tokens,login_api.resources,integrationhub_api.upload"
      },
      "message": {
        "logMessage": "LoginSuccess",
        "logMessageKey": "LoginSuccess",
        "logMessageParams": null
      },
      "timestamp": "2024-11-04T07:45:06+00:00"
    },
    {
      "id": "69c06977-897c-4f52-9611-e30e209f169e",
      "unknownSub": "myuser@gmail.com",
      "ipAddress": null,
      "organizationId": "15f1e221-37c4-4095-a0de-88583cb5e7aa",
      "operatorId": "f039261c-bf9f-4dfc-829c-dde8601a12ed",
      "authEvent": "Authentication",
      "authAction": "ApplicationLoginTimestamp",
      "logLevel": "Info",
      "attributes": {
        "application": "Setup"
      },
      "message": {
        "logMessage": "ApplicationLoginTimestamp",
        "logMessageKey": "ApplicationLoginTimestamp",
        "logMessageParams": null
      },
      "timestamp": "2024-11-04T07:45:06+00:00"
    }
  ]
}
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (401)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (403)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (404)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (default)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}